### Enumeration

# Qmi UimPinState

since: 1.10

#### Declaration

    enum Qmi.UimPinState

#### Description [src]

The PIN state.

Available since: 1.10

#### Members

`QMI_UIM_PIN_STATE_NOT_INITIALIZED`

  Not initialized.

  - Value: `0`
  - Available since: 1.10
`QMI_UIM_PIN_STATE_ENABLED_NOT_VERIFIED`

  Enabled, not verified.

  - Value: `1`
  - Available since: 1.10
`QMI_UIM_PIN_STATE_ENABLED_VERIFIED`

  Enabled, verified.

  - Value: `2`
  - Available since: 1.10
`QMI_UIM_PIN_STATE_DISABLED`

  Disabled.

  - Value: `3`
  - Available since: 1.10
`QMI_UIM_PIN_STATE_BLOCKED`

  Blocked.

  - Value: `4`
  - Available since: 1.10
`QMI_UIM_PIN_STATE_PERMANENTLY_BLOCKED`

  Permanently Blocked.

  - Value: `5`
  - Available since: 1.10

#### Type functions

###### qmi_uim_pin_state_get_string

Gets the nickname string for the `QmiUimPinState` specified at `val`.

since: 1.10